Index: /LMDZ5/trunk/libf/phylmd/phys_output_write.h
===================================================================
--- /LMDZ5/trunk/libf/phylmd/phys_output_write.h	(revision 1538)
+++ /LMDZ5/trunk/libf/phylmd/phys_output_write.h	(revision 1539)
@@ -606,42 +682,52 @@
 
         IF (o_s_pblh%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),o_s_pblh%name,itau_w,s_pblh)
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_s_pblh%name,itau_w,s_pblh)
         ENDIF
 
         IF (o_s_pblt%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),o_s_pblt%name,itau_w,s_pblt)
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_s_pblt%name,itau_w,s_pblt)
         ENDIF
 
         IF (o_s_lcl%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),o_s_lcl%name,itau_w,s_lcl)
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_s_lcl%name,itau_w,s_lcl)
         ENDIF
 
         IF (o_s_therm%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),o_s_therm%name,itau_w,s_therm)
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_s_therm%name,itau_w,s_therm)
         ENDIF
 
 !IM : Les champs suivants (s_capCL, s_oliqCL, s_cteiCL, s_trmb1, s_trmb2, s_trmb3) ne sont pas definis dans HBTM.F
 !       IF (o_s_capCL%flag(iff)<=lev_files(iff)) THEN
-!     CALL histwrite_phy(nid_files(iff),o_s_capCL%name,itau_w,s_capCL)
+!     CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+!    $o_s_capCL%name,itau_w,s_capCL)
 !       ENDIF
 
 !       IF (o_s_oliqCL%flag(iff)<=lev_files(iff)) THEN
-!     CALL histwrite_phy(nid_files(iff),o_s_oliqCL%name,itau_w,s_oliqCL)
+!     CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+!    $o_s_oliqCL%name,itau_w,s_oliqCL)
 !       ENDIF
 
 !       IF (o_s_cteiCL%flag(iff)<=lev_files(iff)) THEN
-!     CALL histwrite_phy(nid_files(iff),o_s_cteiCL%name,itau_w,s_cteiCL)
+!     CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+!    $o_s_cteiCL%name,itau_w,s_cteiCL)
 !       ENDIF
 
 !       IF (o_s_trmb1%flag(iff)<=lev_files(iff)) THEN
-!     CALL histwrite_phy(nid_files(iff),o_s_trmb1%name,itau_w,s_trmb1)
+!     CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+!    $o_s_trmb1%name,itau_w,s_trmb1)
 !       ENDIF
 
 !       IF (o_s_trmb2%flag(iff)<=lev_files(iff)) THEN
-!     CALL histwrite_phy(nid_files(iff),o_s_trmb2%name,itau_w,s_trmb2)
+!     CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+!    $o_s_trmb2%name,itau_w,s_trmb2)
 !       ENDIF
 
 !       IF (o_s_trmb3%flag(iff)<=lev_files(iff)) THEN
-!     CALL histwrite_phy(nid_files(iff),o_s_trmb3%name,itau_w,s_trmb3)
+!     CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+!    $o_s_trmb3%name,itau_w,s_trmb3)
 !       ENDIF
 
@@ -650,9 +736,8 @@
         ll=0
         DO k=1, nlevSTD
-!         IF(k.GE.2.AND.k.LE.12) bb2=clevSTD(k)
-!         IF(k.GE.13.AND.k.LE.17) bb3=clevSTD(k)
          bb2=clevSTD(k) 
          IF(bb2.EQ."850".OR.bb2.EQ."700".OR.
      $      bb2.EQ."500".OR.bb2.EQ."200".OR.
+     $      bb2.EQ."100".OR.
      $      bb2.EQ."50".OR.bb2.EQ."10") THEN
 
@@ -660,30 +745,36 @@
           ll=ll+1
        IF (o_uSTDlevs(ll)%flag(iff)<=lev_files(iff)) THEN
-       CALL histwrite_phy(nid_files(iff),o_uSTDlevs(ll)%name,
+       CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_uSTDlevs(ll)%name,
      &                    itau_w,uwriteSTD(:,k,iff))
        ENDIF
 
        IF (o_vSTDlevs(ll)%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),o_vSTDlevs(ll)%name,  
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_vSTDlevs(ll)%name,  
      &                   itau_w,vwriteSTD(:,k,iff))
        ENDIF
 
        IF (o_wSTDlevs(ll)%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),o_wSTDlevs(ll)%name,
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_wSTDlevs(ll)%name,
      &                    itau_w,wwriteSTD(:,k,iff))
        ENDIF
 
        IF (o_zSTDlevs(ll)%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),o_zSTDlevs(ll)%name,
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_zSTDlevs(ll)%name,
      &               itau_w,phiwriteSTD(:,k,iff))
        ENDIF
 
        IF (o_qSTDlevs(ll)%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),o_qSTDlevs(ll)%name,
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_qSTDlevs(ll)%name,
      &                   itau_w, qwriteSTD(:,k,iff))
        ENDIF
 
        IF (o_tSTDlevs(ll)%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),o_tSTDlevs(ll)%name,
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_tSTDlevs(ll)%name,
      &                   itau_w, twriteSTD(:,k,iff))
        ENDIF
@@ -703,5 +794,5 @@
        ENDIF
       ENDDO
-      CALL histwrite_phy(nid_files(iff),
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
      s                   o_t_oce_sic%name,itau_w,zx_tmp_fi2d)
       ENDIF
@@ -711,8 +802,10 @@
       IF (iflag_coupl>=1) THEN
        IF (o_ale_bl%flag(iff)<=lev_files(iff)) THEN
-       CALL histwrite_phy(nid_files(iff),o_ale_bl%name,itau_w,ale_bl)
+       CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_ale_bl%name,itau_w,ale_bl)
        ENDIF
        IF (o_alp_bl%flag(iff)<=lev_files(iff)) THEN
-       CALL histwrite_phy(nid_files(iff),o_alp_bl%name,itau_w,alp_bl)
+       CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_alp_bl%name,itau_w,alp_bl)
        ENDIF
       ENDIF !iflag_coupl>=1
@@ -723,42 +816,52 @@
       IF (iflag_wake>=1) THEN
        IF (o_ale_wk%flag(iff)<=lev_files(iff)) THEN
-       CALL histwrite_phy(nid_files(iff),o_ale_wk%name,itau_w,ale_wake)
+       CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_ale_wk%name,itau_w,ale_wake)
        ENDIF
        IF (o_alp_wk%flag(iff)<=lev_files(iff)) THEN
-       CALL histwrite_phy(nid_files(iff),o_alp_wk%name,itau_w,alp_wake)
+       CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_alp_wk%name,itau_w,alp_wake)
        ENDIF
 
        IF (o_ale%flag(iff)<=lev_files(iff)) THEN
-       CALL histwrite_phy(nid_files(iff),o_ale%name,itau_w,ale)
+       CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_ale%name,itau_w,ale)
        ENDIF
        IF (o_alp%flag(iff)<=lev_files(iff)) THEN
-       CALL histwrite_phy(nid_files(iff),o_alp%name,itau_w,alp)
+       CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_alp%name,itau_w,alp)
        ENDIF
        IF (o_cin%flag(iff)<=lev_files(iff)) THEN
-       CALL histwrite_phy(nid_files(iff),o_cin%name,itau_w,cin)
+       CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_cin%name,itau_w,cin)
        ENDIF
        IF (o_wape%flag(iff)<=lev_files(iff)) THEN
-       CALL histwrite_phy(nid_files(iff),o_WAPE%name,itau_w,wake_pe)
+       CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_WAPE%name,itau_w,wake_pe)
        ENDIF
        IF (o_wake_h%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),o_wake_h%name,itau_w,wake_h)
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_wake_h%name,itau_w,wake_h)
        ENDIF
 
        IF (o_wake_s%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),o_wake_s%name,itau_w,wake_s)
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_wake_s%name,itau_w,wake_s)
        ENDIF
 
         IF (o_wake_deltat%flag(iff)<=lev_files(iff)) THEN
-       CALL histwrite_phy(nid_files(iff),o_wake_deltat%name,
+       CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_wake_deltat%name,
      $                     itau_w,wake_deltat)
         ENDIF
 
         IF (o_wake_deltaq%flag(iff)<=lev_files(iff)) THEN
-       CALL histwrite_phy(nid_files(iff),o_wake_deltaq%name,
+       CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_wake_deltaq%name,
      $                    itau_w,wake_deltaq)
         ENDIF
 
         IF (o_wake_omg%flag(iff)<=lev_files(iff)) THEN
-       CALL histwrite_phy(nid_files(iff),
+       CALL histwrite_phy(nid_files(iff),clef_stations(iff),
      s                    o_wake_omg%name,itau_w,wake_omg)
         ENDIF
@@ -768,4 +871,5 @@
      &                                        /pdtphys
            CALL histwrite_phy(nid_files(iff),
+     $clef_stations(iff),
      &                       o_dtwak%name,itau_w,zx_tmp_fi3d)
          ENDIF
@@ -773,5 +877,5 @@
         IF (o_dqwak%flag(iff)<=lev_files(iff)) THEN
         zx_tmp_fi3d(1:klon,1:klev)=d_q_wake(1:klon,1:klev)/pdtphys
-        CALL histwrite_phy(nid_files(iff),
+        CALL histwrite_phy(nid_files(iff),clef_stations(iff),
      &                     o_dqwak%name,itau_w,zx_tmp_fi3d)
         ENDIF
@@ -779,13 +883,16 @@
 
         IF (o_Vprecip%flag(iff)<=lev_files(iff)) THEN
-       CALL histwrite_phy(nid_files(iff),o_Vprecip%name,itau_w,Vprecip)
+       CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_Vprecip%name,itau_w,Vprecip)
         ENDIF
 
         IF (o_ftd%flag(iff)<=lev_files(iff)) THEN
-       CALL histwrite_phy(nid_files(iff),o_ftd%name,itau_w,ftd)
+       CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_ftd%name,itau_w,ftd)
         ENDIF
 
         IF (o_fqd%flag(iff)<=lev_files(iff)) THEN
-       CALL histwrite_phy(nid_files(iff),o_fqd%name,itau_w,fqd)
+       CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_fqd%name,itau_w,fqd)
         ENDIF
       ENDIF !(iflag_con.EQ.3) 
@@ -794,51 +901,57 @@
       IF ( o_slab_bils%flag(iff)<=lev_files(iff)) 
      $     CALL histwrite_phy(
-     $     nid_files(iff),o_slab_bils%name,itau_w,slab_wfbils)
+     $     nid_files(iff),clef_stations(iff),
+     $o_slab_bils%name,itau_w,slab_wfbils)
 
       ENDIF !type_ocean == force/slab
 
       IF (o_weakinv%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
      s                  o_weakinv%name,itau_w,weak_inversion)
       ENDIF
 
       IF (o_dthmin%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),o_dthmin%name,itau_w,dthmin)
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_dthmin%name,itau_w,dthmin)
       ENDIF
 
        IF (o_cldtau%flag(iff)<=lev_files(iff)) THEN
-       CALL histwrite_phy(nid_files(iff),o_cldtau%name,itau_w,cldtau)
+       CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_cldtau%name,itau_w,cldtau)
        ENDIF
 
        IF (o_cldemi%flag(iff)<=lev_files(iff)) THEN
-       CALL histwrite_phy(nid_files(iff),o_cldemi%name,itau_w,cldemi)
+       CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_cldemi%name,itau_w,cldemi)
        ENDIF
 
       IF (o_pr_con_l%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
      s         o_pr_con_l%name,itau_w,pmflxr(:,1:klev))
       ENDIF
 
       IF (o_pr_con_i%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
      s         o_pr_con_i%name,itau_w,pmflxs(:,1:klev))
       ENDIF
 
       IF (o_pr_lsc_l%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
      s        o_pr_lsc_l%name,itau_w,prfl(:,1:klev))
       ENDIF
 
       IF (o_pr_lsc_i%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
      s        o_pr_lsc_i%name,itau_w,psfl(:,1:klev))
       ENDIF
 
       IF (o_re%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),o_re%name,itau_w,re)
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_re%name,itau_w,re)
       ENDIF
 
       IF (o_fl%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),o_fl%name,itau_w,fl)
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_fl%name,itau_w,fl)
       ENDIF
 
@@ -849,12 +962,15 @@
        zx_tmp_fi2d(i)=MIN(100.,rh2m(i)*100.)
       ENDDO
-      CALL histwrite_phy(nid_files(iff),o_rh2m%name,itau_w,zx_tmp_fi2d)
-      ENDIF
-
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_rh2m%name,itau_w,zx_tmp_fi2d)
+      ENDIF
+
+      IF (.NOT.clef_stations(iff)) THEN
       IF (o_rh2m_min%flag(iff)<=lev_files(iff)) THEN
       DO i=1, klon
        zx_tmp_fi2d(i)=MIN(100.,rh2m(i)*100.)
       ENDDO
-      CALL histwrite_phy(nid_files(iff),o_rh2m_min%name,
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_rh2m_min%name,
      s               itau_w,zx_tmp_fi2d)
       ENDIF
@@ -864,24 +980,29 @@
        zx_tmp_fi2d(i)=MIN(100.,rh2m(i)*100.)
       ENDDO
-      CALL histwrite_phy(nid_files(iff),o_rh2m_max%name,
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_rh2m_max%name,
      s              itau_w,zx_tmp_fi2d)
       ENDIF
+      ENDIF
 
 
       IF (o_qsat2m%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),o_qsat2m%name,itau_w,qsat2m)
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_qsat2m%name,itau_w,qsat2m)
       ENDIF
 
       IF (o_tpot%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),o_tpot%name,itau_w,tpot)
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_tpot%name,itau_w,tpot)
       ENDIF
 
        IF (o_tpote%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),o_tpote%name,itau_w,tpote)
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_tpote%name,itau_w,tpote)
        ENDIF
 
       IF (o_SWnetOR%flag(iff)<=lev_files(iff)) THEN
       zx_tmp_fi2d(1 : klon) = fsolsw( 1 : klon, is_ter)
-      CALL histwrite_phy(nid_files(iff),
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
      s                   o_SWnetOR%name,itau_w, zx_tmp_fi2d)
       ENDIF
@@ -889,44 +1010,46 @@
       IF (o_SWdownOR%flag(iff)<=lev_files(iff)) THEN
       zx_tmp_fi2d(1:klon) = solsw(1:klon)/(1.-albsol1(1:klon))
-      CALL histwrite_phy(nid_files(iff),
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
      s                   o_SWdownOR%name,itau_w, zx_tmp_fi2d)
       ENDIF
 
       IF (o_LWdownOR%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
      s                  o_LWdownOR%name,itau_w,sollwdown)
       ENDIF
 
       IF (o_snowl%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),o_snowl%name,itau_w,snow_lsc)
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_snowl%name,itau_w,snow_lsc)
       ENDIF
 
       IF (o_solldown%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
      s                   o_solldown%name,itau_w,sollwdown)
       ENDIF
 
       IF (o_dtsvdfo%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
      s                 o_dtsvdfo%name,itau_w,d_ts(:,is_oce))
       ENDIF
 
       IF (o_dtsvdft%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
      s                   o_dtsvdft%name,itau_w,d_ts(:,is_ter))
       ENDIF
 
        IF (o_dtsvdfg%flag(iff)<=lev_files(iff)) THEN
-        CALL histwrite_phy(nid_files(iff),
+        CALL histwrite_phy(nid_files(iff),clef_stations(iff),
      $                   o_dtsvdfg%name,itau_w, d_ts(:,is_lic))
        ENDIF
 
        IF (o_dtsvdfi%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
      s                   o_dtsvdfi%name,itau_w,d_ts(:,is_sic))
        ENDIF
 
        IF (o_rugs%flag(iff)<=lev_files(iff)) THEN
-      CALL histwrite_phy(nid_files(iff),o_rugs%name,itau_w,zxrugs)
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_rugs%name,itau_w,zxrugs)
        ENDIF
 
@@ -936,80 +1059,118 @@
 
           IF (o_od550aer%flag(iff)<=lev_files(iff)) THEN
-             CALL histwrite_phy(nid_files(iff),o_od550aer%name,itau_w,
+             CALL histwrite_phy(nid_files(iff),
+     $clef_stations(iff),
+     $o_od550aer%name,itau_w,
      $            od550aer)
           ENDIF
           IF (o_od865aer%flag(iff)<=lev_files(iff)) THEN
-             CALL histwrite_phy(nid_files(iff),o_od865aer%name,itau_w,
+             CALL histwrite_phy(nid_files(iff),
+     $clef_stations(iff),
+     $o_od865aer%name,itau_w,
      $            od865aer)
           ENDIF
           IF (o_absvisaer%flag(iff)<=lev_files(iff)) THEN
-             CALL histwrite_phy(nid_files(iff),o_absvisaer%name,itau_w,
+             CALL histwrite_phy(nid_files(iff),
+     $clef_stations(iff),
+     $o_absvisaer%name,itau_w,
      $            absvisaer)
           ENDIF
           IF (o_od550lt1aer%flag(iff)<=lev_files(iff)) THEN
-            CALL histwrite_phy(nid_files(iff),o_od550lt1aer%name,itau_w,
+            CALL histwrite_phy(nid_files(iff),
+     $clef_stations(iff),
+     $o_od550lt1aer%name,itau_w,
      $            od550lt1aer)
           ENDIF
 
           IF (o_sconcso4%flag(iff)<=lev_files(iff)) THEN
-              CALL histwrite_phy(nid_files(iff),o_sconcso4%name,itau_w,
+              CALL histwrite_phy(nid_files(iff),
+     $clef_stations(iff),
+     $o_sconcso4%name,itau_w,
      $            sconcso4)
           ENDIF
           IF (o_sconcoa%flag(iff)<=lev_files(iff)) THEN
-              CALL histwrite_phy(nid_files(iff),o_sconcoa%name,itau_w,
+              CALL histwrite_phy(nid_files(iff),
+     $clef_stations(iff),
+     $o_sconcoa%name,itau_w,
      $            sconcoa)
           ENDIF
           IF (o_sconcbc%flag(iff)<=lev_files(iff)) THEN
-              CALL histwrite_phy(nid_files(iff),o_sconcbc%name,itau_w,
+              CALL histwrite_phy(nid_files(iff),
+     $clef_stations(iff),
+     $o_sconcbc%name,itau_w,
      $            sconcbc)
           ENDIF
           IF (o_sconcss%flag(iff)<=lev_files(iff)) THEN
-              CALL histwrite_phy(nid_files(iff),o_sconcss%name,itau_w,
+              CALL histwrite_phy(nid_files(iff),
+     $clef_stations(iff),
+     $o_sconcss%name,itau_w,
      $            sconcss)
           ENDIF
           IF (o_sconcdust%flag(iff)<=lev_files(iff)) THEN
-              CALL histwrite_phy(nid_files(iff),o_sconcdust%name,itau_w,
+              CALL histwrite_phy(nid_files(iff),
+     $clef_stations(iff),
+     $o_sconcdust%name,itau_w,
      $            sconcdust)
           ENDIF
           
           IF (o_concso4%flag(iff)<=lev_files(iff)) THEN
-              CALL histwrite_phy(nid_files(iff),o_concso4%name,itau_w,
+              CALL histwrite_phy(nid_files(iff),
+     $clef_stations(iff),
+     $o_concso4%name,itau_w,
      $            concso4)
           ENDIF
           IF (o_concoa%flag(iff)<=lev_files(iff)) THEN
-              CALL histwrite_phy(nid_files(iff),o_concoa%name,itau_w,
+              CALL histwrite_phy(nid_files(iff),
+     $clef_stations(iff),
+     $o_concoa%name,itau_w,
      $            concoa)
           ENDIF
           IF (o_concbc%flag(iff)<=lev_files(iff)) THEN
-              CALL histwrite_phy(nid_files(iff),o_concbc%name,itau_w,
+              CALL histwrite_phy(nid_files(iff),
+     $clef_stations(iff),
+     $o_concbc%name,itau_w,
      $            concbc)
           ENDIF
           IF (o_concss%flag(iff)<=lev_files(iff)) THEN
-              CALL histwrite_phy(nid_files(iff),o_concss%name,itau_w,
+              CALL histwrite_phy(nid_files(iff),
+     $clef_stations(iff),
+     $o_concss%name,itau_w,
      $            concss)
           ENDIF
           IF (o_concdust%flag(iff)<=lev_files(iff)) THEN
-              CALL histwrite_phy(nid_files(iff),o_concdust%name,itau_w,
+              CALL histwrite_phy(nid_files(iff),
+     $clef_stations(iff),
+     $o_concdust%name,itau_w,
      $            concdust)
           ENDIF
           
           IF (o_loadso4%flag(iff)<=lev_files(iff)) THEN
-              CALL histwrite_phy(nid_files(iff),o_loadso4%name,itau_w,
+              CALL histwrite_phy(nid_files(iff),
+     $clef_stations(iff),
+     $o_loadso4%name,itau_w,
      $            loadso4)
           ENDIF
           IF (o_loadoa%flag(iff)<=lev_files(iff)) THEN
-              CALL histwrite_phy(nid_files(iff),o_loadoa%name,itau_w,
+              CALL histwrite_phy(nid_files(iff),
+     $clef_stations(iff),
+     $o_loadoa%name,itau_w,
      $            loadoa)
           ENDIF
           IF (o_loadbc%flag(iff)<=lev_files(iff)) THEN
-              CALL histwrite_phy(nid_files(iff),o_loadbc%name,itau_w,
+              CALL histwrite_phy(nid_files(iff),
+     $clef_stations(iff),
+     $o_loadbc%name,itau_w,
      $            loadbc)
           ENDIF
           IF (o_loadss%flag(iff)<=lev_files(iff)) THEN
-              CALL histwrite_phy(nid_files(iff),o_loadss%name,itau_w,
+              CALL histwrite_phy(nid_files(iff),
+     $clef_stations(iff),
+     $o_loadss%name,itau_w,
      $            loadss)
           ENDIF
           IF (o_loaddust%flag(iff)<=lev_files(iff)) THEN
-              CALL histwrite_phy(nid_files(iff),o_loaddust%name,itau_w,
+              CALL histwrite_phy(nid_files(iff),
+     $clef_stations(iff),
+     $o_loaddust%name,itau_w,
      $            loaddust)
           ENDIF
@@ -1018,4 +1179,5 @@
             IF (o_tausumaero(naero)%flag(iff)<=lev_files(iff)) THEN
                 CALL histwrite_phy(nid_files(iff),
+     $clef_stations(iff),
      $              o_tausumaero(naero)%name,itau_w,
      $              tausum_aero(:,2,naero) )
@@ -1027,9 +1189,13 @@
        IF (ok_ade) THEN
           IF (o_topswad%flag(iff)<=lev_files(iff)) THEN
-             CALL histwrite_phy(nid_files(iff),o_topswad%name,itau_w,
+             CALL histwrite_phy(nid_files(iff),
+     $clef_stations(iff),
+     $o_topswad%name,itau_w,
      $            topswad_aero)
           ENDIF
           IF (o_solswad%flag(iff)<=lev_files(iff)) THEN
-             CALL histwrite_phy(nid_files(iff),o_solswad%name,itau_w,
+             CALL histwrite_phy(nid_files(iff),
+     $clef_stations(iff),
+     $o_solswad%name,itau_w,
      $            solswad_aero)
           ENDIF
@@ -1038,20 +1204,24 @@
         if (new_aod) then	       
         IF (o_swtoaas_nat%flag(iff)<=lev_files(iff)) THEN
-        CALL histwrite_phy(nid_files(iff),o_swtoaas_nat%name,itau_w,
+        CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_swtoaas_nat%name,itau_w,
      $      topsw_aero(:,1))
         ENDIF
 
         IF (o_swsrfas_nat%flag(iff)<=lev_files(iff)) THEN
-        CALL histwrite_phy(nid_files(iff),o_swsrfas_nat%name,itau_w,
+        CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_swsrfas_nat%name,itau_w,
      $      solsw_aero(:,1))
         ENDIF
 
         IF (o_swtoacs_nat%flag(iff)<=lev_files(iff)) THEN
-        CALL histwrite_phy(nid_files(iff),o_swtoacs_nat%name,itau_w,
+        CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_swtoacs_nat%name,itau_w,
      $      topsw0_aero(:,1))
         ENDIF
 
         IF (o_swsrfcs_nat%flag(iff)<=lev_files(iff)) THEN
-        CALL histwrite_phy(nid_files(iff),o_swsrfcs_nat%name,itau_w,
+        CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_swsrfcs_nat%name,itau_w,
      $      solsw0_aero(:,1))
         ENDIF
@@ -1059,20 +1229,24 @@
 !ant
         IF (o_swtoaas_ant%flag(iff)<=lev_files(iff)) THEN
-        CALL histwrite_phy(nid_files(iff),o_swtoaas_ant%name,itau_w,
+        CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_swtoaas_ant%name,itau_w,
      $      topsw_aero(:,2))
         ENDIF
 
         IF (o_swsrfas_ant%flag(iff)<=lev_files(iff)) THEN
-        CALL histwrite_phy(nid_files(iff),o_swsrfas_ant%name,itau_w,
+        CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_swsrfas_ant%name,itau_w,
      $      solsw_aero(:,2))
         ENDIF
 
         IF (o_swtoacs_ant%flag(iff)<=lev_files(iff)) THEN
-        CALL histwrite_phy(nid_files(iff),o_swtoacs_ant%name,itau_w,
+        CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_swtoacs_ant%name,itau_w,
      $      topsw0_aero(:,2))
         ENDIF
 
         IF (o_swsrfcs_ant%flag(iff)<=lev_files(iff)) THEN
-        CALL histwrite_phy(nid_files(iff),o_swsrfcs_ant%name,itau_w,
+        CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_swsrfcs_ant%name,itau_w,
      $      solsw0_aero(:,2))
         ENDIF
@@ -1082,30 +1256,36 @@
         if (.not. aerosol_couple) then
         IF (o_swtoacf_nat%flag(iff)<=lev_files(iff)) THEN
-        CALL histwrite_phy(nid_files(iff),o_swtoacf_nat%name,itau_w,
+        CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_swtoacf_nat%name,itau_w,
      $      topswcf_aero(:,1))
         ENDIF
 
         IF (o_swsrfcf_nat%flag(iff)<=lev_files(iff)) THEN
-        CALL histwrite_phy(nid_files(iff),o_swsrfcf_nat%name,itau_w,
+        CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_swsrfcf_nat%name,itau_w,
      $      solswcf_aero(:,1))
         ENDIF
 
         IF (o_swtoacf_ant%flag(iff)<=lev_files(iff)) THEN
-        CALL histwrite_phy(nid_files(iff),o_swtoacf_ant%name,itau_w,
+        CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_swtoacf_ant%name,itau_w,
      $      topswcf_aero(:,2))
         ENDIF
 
         IF (o_swsrfcf_ant%flag(iff)<=lev_files(iff)) THEN
-        CALL histwrite_phy(nid_files(iff),o_swsrfcf_ant%name,itau_w,
+        CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_swsrfcf_ant%name,itau_w,
      $      solswcf_aero(:,2))
         ENDIF
 
         IF (o_swtoacf_zero%flag(iff)<=lev_files(iff)) THEN
-        CALL histwrite_phy(nid_files(iff),o_swtoacf_zero%name,itau_w,
+        CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_swtoacf_zero%name,itau_w,
      $      topswcf_aero(:,3))
         ENDIF
 
         IF (o_swsrfcf_zero%flag(iff)<=lev_files(iff)) THEN
-        CALL histwrite_phy(nid_files(iff),o_swsrfcf_zero%name,itau_w,
+        CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_swsrfcf_zero%name,itau_w,
      $      solswcf_aero(:,3))
         ENDIF
@@ -1119,49 +1299,73 @@
        IF (ok_aie) THEN
           IF (o_topswai%flag(iff)<=lev_files(iff)) THEN
-             CALL histwrite_phy(nid_files(iff),o_topswai%name,itau_w,
+             CALL histwrite_phy(nid_files(iff),
+     $clef_stations(iff),
+     $o_topswai%name,itau_w,
      $            topswai_aero)
           ENDIF
           IF (o_solswai%flag(iff)<=lev_files(iff)) THEN
-             CALL histwrite_phy(nid_files(iff),o_solswai%name,itau_w,
+             CALL histwrite_phy(nid_files(iff),
+     $clef_stations(iff),
+     $o_solswai%name,itau_w,
      $            solswai_aero)
           ENDIF
           IF (o_scdnc%flag(iff)<=lev_files(iff)) THEN
-             CALL histwrite_phy(nid_files(iff),o_scdnc%name,itau_w,
+             CALL histwrite_phy(nid_files(iff),
+     $clef_stations(iff),
+     $o_scdnc%name,itau_w,
      $            scdnc)
           ENDIF
           IF (o_cldncl%flag(iff)<=lev_files(iff)) THEN
-             CALL histwrite_phy(nid_files(iff),o_cldncl%name,itau_w,
+             CALL histwrite_phy(nid_files(iff),
+     $clef_stations(iff),
+     $o_cldncl%name,itau_w,
      $            cldncl)
           ENDIF
-          IF (o_reffclws%flag(iff)<=lev_files(iff)) THEN
-             CALL histwrite_phy(nid_files(iff),o_reffclws%name,itau_w,
+         IF (o_reffclws%flag(iff)<=lev_files(iff)) THEN
+            CALL histwrite_phy(nid_files(iff),
+     $clef_stations(iff),
+     $o_reffclws%name,itau_w,
      $            reffclws)
-          ENDIF
-          IF (o_reffclwc%flag(iff)<=lev_files(iff)) THEN
-             CALL histwrite_phy(nid_files(iff),o_reffclwc%name,itau_w,
+         ENDIF
+         IF (o_reffclwc%flag(iff)<=lev_files(iff)) THEN
+            CALL histwrite_phy(nid_files(iff),
+     $clef_stations(iff),
+     $o_reffclwc%name,itau_w,
      $            reffclwc)
-          ENDIF
+         ENDIF
           IF (o_cldnvi%flag(iff)<=lev_files(iff)) THEN
-             CALL histwrite_phy(nid_files(iff),o_cldnvi%name,itau_w,
+             CALL histwrite_phy(nid_files(iff),
+     $clef_stations(iff),
+     $o_cldnvi%name,itau_w,
      $            cldnvi)
           ENDIF
           IF (o_lcc%flag(iff)<=lev_files(iff)) THEN
-             CALL histwrite_phy(nid_files(iff),o_lcc%name,itau_w,
+             CALL histwrite_phy(nid_files(iff),
+     $clef_stations(iff),
+     $o_lcc%name,itau_w,
      $            lcc)
           ENDIF
           IF (o_lcc3d%flag(iff)<=lev_files(iff)) THEN
-             CALL histwrite_phy(nid_files(iff),o_lcc3d%name,itau_w,
+             CALL histwrite_phy(nid_files(iff),
+     $clef_stations(iff),
+     $o_lcc3d%name,itau_w,
      $            lcc3d)
           ENDIF
           IF (o_lcc3dcon%flag(iff)<=lev_files(iff)) THEN
-             CALL histwrite_phy(nid_files(iff),o_lcc3dcon%name,itau_w,
+             CALL histwrite_phy(nid_files(iff),
+     $clef_stations(iff),
+     $o_lcc3dcon%name,itau_w,
      $            lcc3dcon)
           ENDIF
           IF (o_lcc3dstra%flag(iff)<=lev_files(iff)) THEN
-             CALL histwrite_phy(nid_files(iff),o_lcc3dstra%name,itau_w,
+             CALL histwrite_phy(nid_files(iff),
+     $clef_stations(iff),
+     $o_lcc3dstra%name,itau_w,
      $            lcc3dstra)
           ENDIF
           IF (o_reffclwtop%flag(iff)<=lev_files(iff)) THEN
-             CALL histwrite_phy(nid_files(iff),o_reffclwtop%name,itau_w,
+             CALL histwrite_phy(nid_files(iff),
+     $clef_stations(iff),
+     $o_reffclwtop%name,itau_w,
      $            reffclwtop)
           ENDIF
@@ -1171,5 +1375,7 @@
        IF (ok_ade .OR. ok_aie) then
           IF (o_ec550aer%flag(iff)<=lev_files(iff)) THEN
-             CALL histwrite_phy(nid_files(iff),o_ec550aer%name,itau_w,
+             CALL histwrite_phy(nid_files(iff),
+     $clef_stations(iff),
+     $o_ec550aer%name,itau_w,
      &            ec550aer)
           ENDIF
